
Foreman - Bug #1670

Model / OS on "Hosts" page not getting updated properly

06/04/2012 03:11 PM - Josh Baird

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Importers   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a host is provisioned from Foreman, the "Operating System" and "Model" columns are not getting updated properly.  The

"Operating System" column does get populated, but will not change if the host's operating system changes (6.0 -> 6.2, etc).  The

"Model" column is never populated when a host is provisioned with Foreman.

Both of these fields function normally when the host is not provisioned using Foreman.

This is in 0.5.1-5 (RPM).

Related issues:

Has duplicate Foreman - Bug #1643: Hosts created in and provisioned by Forema... Duplicate 05/19/2012

Associated revisions

Revision 8a20ac6d - 06/07/2012 03:31 AM - Ohad Levy

fixes #1670 - Model / OS on "Hosts" page not getting updated properly

Revision 0454b904 - 06/11/2012 09:41 AM - Ohad Levy

ensure that we don't upgrade debians arch incorrectly - refs #1670

History

#1 - 06/07/2012 03:31 AM - Ohad Levy

- Category set to Importers

- Assignee set to Ohad Levy

- Target version set to 1.0

#2 - 06/07/2012 03:59 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 8a20ac6d9d7a699dd466b3718282509e22af8941.
